#### D.8.10.2 remainder

Procedure from library `zeroset.lib` (see zeroset_lib).

Usage:
  remainder(f, g); where f,g are polynomials

Purpose:
  compute the remainder of the division of f by g, i.e. a polynomial r s.t. f = g*q + r, deg(r) < deg(g).

Return:
  poly

Assume:
  basering = Q[x] or Q(a)[x]

Note:
  outdated, use mod/reduce instead

Example:

    LIB "zeroset.lib";
    ring R = (0,a), x, lp;
    minpoly = a2+1;
    poly f =  x4 - 1;
    poly g = x3 - 1;
    remainder(f, g);
    ==> x-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.